Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Nintendo64 on X86 - video



  • I can't run N64 games on an old X86 pc
    as soon as I start it, black screen and go back to the games menu
    this is the runcommand.log

    Parameters: 
    Executing: /opt/retropie/emulators/mupen64plus/bin/mupen64plus.sh mupen64plus-video-GLideN64 "/home/hermit/RetroPie/roms/n64/Super Mario 64 (Europe) (En,Fr,De).n64" 
     __  __                         __   _  _   ____  _             
    |  \/  |_   _ _ __   ___ _ __  / /_ | || | |  _ \| |_   _ ___ 
    | |\/| | | | | '_ \ / _ \ '_ \| '_ \| || |_| |_) | | | | / __|  
    | |  | | |_| | |_) |  __/ | | | (_) |__   _|  __/| | |_| \__ \  
    |_|  |_|\__,_| .__/ \___|_| |_|\___/   |_| |_|   |_|\__,_|___/  
                 |_|         https://mupen64plus.org/               
    Mupen64Plus Console User-Interface Version 2.5.9
    
    UI-Console: attached to core library 'Mupen64Plus Core' version 2.5.9
    UI-Console:             Includes support for Dynamic Recompiler.
    Core: Using full mem base
    Core: Goodname: Super Mario 64 (E) (M3) [!]
    Core: Name: SUPER MARIO 64      
    Core: MD5: 45676429EF6B90E65B517129B700308E
    Core: CRC: A03CF036 BCC1C5D2
    Core: Imagetype: .v64 (byteswapped)
    Core: Rom size: 8388608 bytes (or 8 Mb or 64 Megabits)
    Core: Version: 1446
    Core: Manufacturer: Nintendo
    Core: Country: Europe (0x50)
    UI-Console Status: Cheat codes disabled.
    UI-Console: using Video plugin: 'GLideN64' v2.0.0
    Audio Warning: No version number in 'Audio-SDL' config section. Setting defaults.
    UI-Console: using Audio plugin: 'Mupen64Plus SDL Audio Plugin' v2.5.9
    Input Warning: Missing or incompatible config section 'Input-SDL-Control1'. Clearing.
    Input Warning: Missing or incompatible config section 'Input-SDL-Control2'. Clearing.
    Input Warning: Missing or incompatible config section 'Input-SDL-Control3'. Clearing.
    Input Warning: Missing or incompatible config section 'Input-SDL-Control4'. Clearing.
    Input: Using auto-config file at: '/opt/retropie/configs/n64/InputAutoCfg.ini'
    Input: Using auto-config file at: '/opt/retropie/configs/n64/InputAutoCfg.ini'
    UI-Console: using Input plugin: 'Mupen64Plus SDL Input Plugin' v2.5.9
    RSP Warning: No version number in 'Rsp-HLE' config section. Setting defaults.
    UI-Console: using RSP plugin: 'Hacktarux/Azimer High-Level Emulation RSP Plugin' v2.5.9
    Core: input plugin did not specify a render callback; there will be no on screen display by the input plugin.
    Input: 1 SDL joysticks were found.
    Input: Using auto-config file at: '/opt/retropie/configs/n64/InputAutoCfg.ini'
    Input Error: No auto-config found for joystick named 'Microntek              USB Joystick          ' in InputAutoConfig.ini
    Input: N64 Controller #1: Forcing default keyboard configuration
    Input: Using auto-config file at: '/opt/retropie/configs/n64/InputAutoCfg.ini'
    Input: 1 controller(s) found, 1 plugged in and usable in the emulator
    Input Warning: Couldn't open rumble support for joystick #1
    Input Warning: Couldn't open rumble support for joystick #2
    Input Warning: Couldn't open rumble support for joystick #3
    Input Warning: Couldn't open rumble support for joystick #4
    Input: Mupen64Plus SDL Input Plugin version 2.5.9 initialized.
    RSP: RSP Fallback disabled !
    Core: Using video capture backend: dummy
    Core: Game controller 0 (Standard controller) has a Memory pak plugged in
    Core: Game controller 1 (Standard controller) has a Memory pak plugged in
    Core: Game controller 2 (Standard controller) has a Memory pak plugged in
    Core: Game controller 3 (Standard controller) has a Memory pak plugged in
    Core: Using CIC type X102
    Core: Setting video mode: 640x480
    Core Error: SDL_SetVideoMode failed: Could not create GL context: GLXBadFBConfig
    Core Status: Rom closed.
    
    

    I read that it's a problem with Intel cards that don't support OpenGL 2.0
    I have an Intel card, but it should also support OpenGL 3.0
    any solution? thank you

    Retropie 4.5.10
    Ubuntu 18.04 LST
    mupen64plus-GLideN64
    video :VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02)
    opengl : OpenGL version string: 3.0 Mesa 18.0.0-rc5



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.